use ndarray::{Array1, ArrayView1};

pub mod activation_layer;
pub mod fc_layer;

pub trait Layer {
    fn forward_pass(&mut self, input: ArrayView1<f64>) -> Array1<f64>;
    fn backward_pass(&mut self, output_error: ArrayView1<f64>, learning_rate: f64) -> Array1<f64>;
}
